%global srcname uri-templates
%global sum A Python implementation of URI Templates


Name:           python-%{srcname}
Version:        0.6
Release:        14%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            https://github.com/%{srcname}/uritemplate-py
Source0:        https://github.com/%{srcname}/uritemplate-py/archive/uri-template-py-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description
This is a Python implementation of RFC6570, URI Template, and can 
expand templates up to and including Level 4 in that specification.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3-simplejson

%description -n python3-%{srcname}
This is a Python 3 implementation of RFC6570, URI Template, and can 
expand templates up to and including Level 4 in that specification.

%prep
%setup -q -n uritemplate-py-uri-template-py-%{version}

# Remove shebang
sed -i "1 d" uritemplate/__init__.py

%build

%py3_build

%check
%{__python3} -m pytest test/variables_test.py

%install
%py3_install
 
%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/uritemplate/
%{python3_sitelib}/uritemplate-%{version}-py?.?.egg-info


%changelog
* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-14
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6-12
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 28 2015 Michele Baldessari <michele@acksyn.org> - 0.6-4
- Tweaks to conform to new python packaging policies

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Oct 15 2015 Michele Baldessari <michele@acksyn.org> - 0.6-2
- Fix python3 description

* Tue Jun 23 2015 Michele Baldessari <michele@acksyn.org> - 0.6-1
- New upstream
- Add python3 subpackage
- Add check step

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jul 27 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.5.2-1
- Initial rpmbuild

